# HashRU Pics

This is the development repository for the HashRU photo website.
The CMS and its modules originate in [Kabuki CMS](https://aaronweb.net/projects/kabuki/), but have been extended and are maintained separately in this repository.

## Requirements

The Kabuki codebase requires the following PHP extensions to be enabled for full operation:

* exif
* imagick (PECL)
* mysqli

## Setup

Copy `config.php.dist` to `config.php` and set-up the constants contained in the file. For development, consider starting from `config-dev.php.dist`.

Ensure you have a MySQL database running with credentials matching your `config.php`. For development, consider the /dev/docker-compose.yml file.

Run `composer install`. If you do not have composer installed globally, run it from the project directory as follows:

```
wget -O composer-setup.php https://getcomposer.org/installer
php composer-setup.php --install-dir=.
php ./composer.phar install
```

## Running

For development purposes, simply run the `server` script provided in the root of this repository.
This will start a PHP development server on `127.0.0.1:8080`.

For a production environment, please set up a proper PHP-FPM environment instead.

## Contributing

Pull requests are welcome over at the [HashRU Gitea](https://gitea.hashru.nl/Public/pics/pulls).

## License

The HashRU Pics repository is licensed with a BSD 3-clause license, as is Kabuki CMS.
